Subject: Re: Announcement: KOM RSVP Procotol Engine, version 2.0

From: Martin Karsten <[email-masked]>
Date: Thu, 24 Feb 2000 20:08:47 +0100 (MET)

I forgot to mention the following:

Details about the performance tests can also be found via the web site below
or directly at
http://www.kom.e-technik.tu-darmstadt.de/rsvp/performance.html

Please let me know if you have further questions.

Greetings,
Martin

> When you say it can handle the raw signaling of 20,000 flows, how does this 
> break down into the number of reservations per second?
> 
> Thanks,
> Chip
> 
> 
> At 09:22 PM 2/23/00 +0100, you wrote:
> >I would like to announce, to any interested party, the availability of the
> >KOM RSVP protocol engine, release version 2.0.
> >
> >This release contains a number of new features over previous releases:
> >- improved internal code structure
> >- multi-threaded message processing (optional)
> >- integration of ALTQ package (CBQ and HFSC scheduling) on FreeBSD
> >- fuzzy timer optimization (optional)
> >- initial performance tests
> >
> >Although I don't claim the code to be highly optimized, I have done some
> >initial performance evaluations (on PCs with PIII 450Mhz); the results are
> >quite promising (I believe):
> >
> >- A FreeBSD router can handle the raw signalling of 20,000 unicast flows.
> >   CPU utilization is about 77%.
> >
> >- In combination with ALTQ-HFSC packet classification and scheduling, it can
> >   be loaded with up to 10,000 unicast flows and at the same time handle 
> > packet
> >   classification and forwarding of ~ 20,000 packets/sec.
> >
> >- Preliminary tests show that if other optimizations, especially enabling
> >   fuzzy timers, and further tuning are carried out, these results can be
> >   increased quite significantly, i.e. raw signalling for ~ 30,000 flows
> >   => ~ 50% CPU utilization.
> >
> >Fur further information and download:
> >http://www.kom.e-technik.tu-darmstadt.de/rsvp/
> >
> >Greetings,
> >Martin
> 
> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.			
> --------------------------------------------------
>